<?php

function cleanly_customize_register( $wp_customize ) {
 

	 // New Cleanly Settings Panel
	
    $wp_customize->add_panel( 'cleanly_settings', array(
        'priority'       => 1,
        'capability'     => 'edit_theme_options',
        'title'          => __('Cleanly Settings', cleanly_customizer_title),
        'description'    => __('Customize the look of Cleanly Child Theme.', cleanly_customizer_title),
    ));
	 
	 
	 
	// add the section to contain the settings
	$wp_customize->add_section( 'cleanly_colors' , array(
			'title'      => __( 'Cleanly Colors', cleanly_customizer_title),
			'priority'   => 0,
			'panel'  => 'cleanly_settings',
	) ); 
	
	// add the section to contain the settings
	$wp_customize->add_section( 'cleanly_fonts' , array(
			'title'      => __( 'Cleanly Fonts', cleanly_customizer_title),
			'priority'   => 0,
			'panel'  => 'cleanly_settings',
	) ); 

	 
	// Cleanly Colors
	$colors[] = array(
	    'slug'=>'color_scheme_1', 
	    'default' => '#12c2f0',
	    'label' => 'Accent Color'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_2', 
	    'default' => '#f42a60',
	    'label' => 'CTA Color'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_3', 
	    'default' => '#777777',
	    'label' => 'Dark color'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_4', 
	    'default' => '#cccccc',
	    'label' => 'Medium Color'
	);
	 
	$colors[] = array(
	    'slug'=>'color_scheme_5', 
	    'default' => '#f2f2f2',
	    'label' => 'Light Color'
	);

	// add the settings and controls for each color
	foreach( $colors as $color ) {
	 
	    // SETTINGS
	    $wp_customize->add_setting(
	        $color['slug'], array(
	            'default' => $color['default'],
	            'type' => 'option', 
	            'capability' => 
	            'edit_theme_options'
	        )
	    );
	    // CONTROLS
	    $wp_customize->add_control(
	        new ET_Divi_Customize_Color_Alpha_Control(
	            $wp_customize,
	            $color['slug'], 
	            array('label' => $color['label'], 
	            'section' => 'cleanly_colors',
	            'settings' => $color['slug'])
	        )
	    );
	}
	

	
	$font_weights = array(
		'100'   => __( 'Thin' ),
        '200'  => __( 'Ultra Light' ),
        '300'  => __( 'Light' ),
        '400'  => __( 'Regular' ),
		'500'   => __( 'Medium' ),
        '600'  => __( 'Semi Bold' ),
        '700'  => __( 'Bold' ),
        '800'  => __( 'Ultra Bold' ),
        '900'  => __( 'Heavy' )
	);
	
	
	$wp_customize->add_setting( 'header_font_weight', array(
		'default'       => '300',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'header_font_weight', array(
		'label'	      => 'Headings Font Weight',
		'section'     => 'cleanly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	
	
	$wp_customize->add_setting( 'body_font_weight', array(
		'default'       => '400',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'body_font_weight', array(
		'label'	      => 'Body Text Font Weight',
		'section'     => 'cleanly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	
	
	$wp_customize->add_setting( 'button_font_weight', array(
		'default'       => '400',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'button_font_weight', array(
		'label'	      => 'Buttons Font Weight',
		'section'     => 'cleanly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
	
	
	$wp_customize->add_setting( 'nav_font_weight', array(
		'default'       => '400',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );
	$wp_customize->add_control( 'nav_font_weight', array(
		'label'	      => 'Primary Nav Font Weight',
		'section'     => 'cleanly_fonts',
		'type'        => 'select',
		'choices' => $font_weights
	) );
}
add_action( 'customize_register', 'cleanly_customize_register' );


function cleanly_customize_settings() {
	
	$color_scheme_1 = get_option( 'color_scheme_1', '#12c2f0' );
	$color_scheme_2 = get_option( 'color_scheme_2', '#f42a60' );
	$color_scheme_3 = get_option( 'color_scheme_3', '#777777' );
	$color_scheme_4 = get_option( 'color_scheme_4', '#cccccc' );
	$color_scheme_5 = get_option( 'color_scheme_5', '#f2f2f2' );
	$header_font_weight = get_option( 'header_font_weight', '300' );
	$body_font_weight = get_option( 'body_font_weight', '400' );
	$button_font_weight = get_option( 'button_font_weight', '400' );
	$nav_font_weight = get_option( 'nav_font_weight', '400' );

?>
	<style>

    /* Accent Color */
	h4, a, .et_pb_text a,
	#top-header .et-social-icons li a:before,
	#main-footer h4,
	blockquote:before,
	.ds-hero-header .et_pb_fullwidth_header_subhead,
	.dl-pricing-table .et_pb_pricing_heading .et_pb_best_value,
	.dl-pricing-table .et_pb_dollar_sign,
	.dl-pricing-table .et_pb_sum,
	.dl-pricing-table .et_pb_frequency,
	.dl-pricing-table .et_pb_pricing li span::before,
	.et_pb_widget a:hover, .et_pb_widget li a:hover,
	h2.entry-title a:hover, h3#reply-title span, .comment-reply-link.et_pb_button:before,
	.dl-accordion h5.et_pb_toggle_title::before {
		color:<?php echo $color_scheme_1; ?>;
	}
	#et-info-phone,
	#et-info-phone a,
	#et-info-email,
	.et_pb_bg_layout_dark h4,
	article.et_pb_post p.post-meta,
	article.et_pb_post p.post-meta a {
		color:<?php echo $color_scheme_1; ?>!important;
	}
	#top-header .et-social-icons li a:hover, 
	.et_header_style_left #top-menu li a:before,
	#footer-widgets .footer-widget a:after,
	.et_pb_module .et_pb_button:hover,
	.et_pb_button.et_pb_bg_layout_light:hover,
	.et_pb_text a:after,
	.dl-photo-link .et_pb_main_blurb_image a:after,
	.dl-number-counter .title:before,
	.dl-team-member .et_pb_team_member_image:after,
	.dl-image-overlay:after,
	.dl-filterable-portfolio .et_overlay,
	.dl-fullwidth-portfolio.et_pb_bg_layout_dark .et_pb_portfolio_image .et_overlay,
	.widget_search input#searchsubmit:hover,
	.comment-reply-link.et_pb_button:hover, #commentform input#submit:hover {
		background:<?php echo $color_scheme_1; ?>;
	}
	.dl-fullwidth-header .et_pb_fullwidth_header_overlay {
		background:<?php echo $color_scheme_1; ?>!important;
	}
	.et_pb_button:before,
	#sidebar h4.widgettitle:before,
	.dl-faq-question:before {
		border-color:<?php echo $color_scheme_1; ?>;
	}
	
	/* CTA Color */
	.et_pb_button.dl-cta-button,
	.et_pb_button.dl-cta-button:hover,
	.ds-hero-header .et_pb_button,
	.ds-hero-header .et_pb_button:hover,
	.dl-pricing-table.et_pb_module .et_pb_button {
		background:<?php echo $color_scheme_2; ?>;
	}
	.et_pb_button.dl-cta-button:before,
	.ds-hero-header .et_pb_button:before,
	.dl-pricing-table .et_pb_button:before {
		border-color:<?php echo $color_scheme_2; ?>;
	}
	
	/* Dark color */
	h1,h2,h3,h5,h6,
	#top-menu-nav #top-menu li a:hover,
	#top-menu > li > ul.sub-menu > li > a,
	.et_header_style_left .mobile_menu_bar_toggle:after,
	.et_header_style_left .mobile_menu_bar::before,
	.et_header_style_left .et_mobile_menu li a,
	.et_header_style_left .et_mobile_menu li a:hover,
	.et_pb_scroll_top.et-pb-icon:hover, #footer-info a:hover, .et-social-icon a:hover,
	.ds-hero-header h1,
	.dl-photo-link .et_pb_blurb_container .et_pb_module_header,
	.dl-icon-blurb .et_pb_module_header,
	.dl-contact-form .et_pb_contact p input, .dl-contact-form .et_pb_contact p textarea,
	.dl-number-counter .et_pb_module_header,
	.dl-team-member .et_pb_team_member_description .et_pb_module_header,
	.dl-team-member .et_pb_member_social_links a:hover,
	.dl-testimonial-slider.et_pb_bg_layout_light .et-pb-arrow-prev, .dl-testimonial-slider.et_pb_bg_layout_light .et-pb-arrow-next,
	.dl-pricing-table .et_pb_pricing_heading .et_pb_pricing_title,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a.active,
	.et_pb_widget a, .et_pb_widget li a, #sidebar h4.widgettitle,
	#commentform textarea, #commentform input[type="text"], #commentform input[type="email"], #commentform input[type="url"],
	.dl-accordion .et_pb_toggle_title {
		color:<?php echo $color_scheme_3; ?>;
	}
	#top-menu > li > a,
	#top-menu > li.current-menu-parent > a,
	.dl-icon-blurb .et-pb-icon,
	#footer-widgets .footer-widget a, .footer-widget,
	#footer-widgets .footer-widget li a, 
	#footer-widgets .footer-widget li a:hover {
		color:<?php echo $color_scheme_3; ?>!important;
	}
	.et_pb_button,
	.widget_search input#searchsubmit {
		background:<?php echo $color_scheme_3; ?>;
	}
	.dl-fullwidth-header:hover .et_pb_fullwidth_header_overlay {
		background:<?php echo $color_scheme_3; ?>!important;
	}
	
	/* Medium color */
	#main-header, #top-menu > li > ul.sub-menu, #top-menu > li > ul.sub-menu:before,
	.et_header_style_left .et_mobile_menu,
	.et_header_style_left .et_mobile_menu:before,
	#main-footer,
	.dl-icon-blurb .et-pb-icon:after,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a:hover,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a.active,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a:after,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a.active:after,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a.active:hover:after,
	#commentform textarea:focus, #commentform input[type="text"]:focus, #commentform input[type="email"]:focus, #commentform input[type="url"]:focus,
	.dl-accordion .et_pb_toggle {
		border-color:<?php echo $color_scheme_4; ?>;
	}
	#main-header:after, .et_pb_scroll_top.et-pb-icon,
	#main-footer:before {
		background:<?php echo $color_scheme_4; ?>;
	}
	#top-menu > li.current-menu-item > a,
	#top-menu > li.current-menu-item > a:hover,
	.dl-number-counter .percent p span.percent-value {
	    color:<?php echo $color_scheme_4; ?>!important;
	}
	#main-footer, #footer-info, #footer-info a, .et-social-icon a,
	.dl-team-member .et_pb_member_position,
	.dl-team-member .et_pb_member_social_links a,
	.dl-pricing-table .et_pb_pricing li.et_pb_not_available,
	.dl-pricing-table .et_pb_pricing li.et_pb_not_available span::before,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a:hover {
	    color:<?php echo $color_scheme_4; ?>;
	}
	
	/* Light Color */
	.et_header_style_left .et_mobile_menu li a,
	#footer-bottom,
	.dl-photo-link .et_pb_main_blurb_image a,
	.dl-team-member .et_pb_team_member_image, .dl-image-overlay,
	.dl-filterable-portfolio .et_pb_portfolio_filters li a,
	#commentform textarea, #commentform input[type="text"], #commentform input[type="email"], #commentform input[type="url"] {
		border-color:<?php echo $color_scheme_5; ?>;
	}
	.et_header_style_left .et_mobile_menu li a:hover,
	.dl-photo-link .et_pb_main_blurb_image a,
	.widget_search input#s, article.et_pb_post,
	#commentform textarea, #commentform input[type="text"], #commentform input[type="email"], #commentform input[type="url"] {
		background:<?php echo $color_scheme_5; ?>;
	}
	#main-content .et_pb_section.dl-section-grey,
	.dl-icon-blurb .et-pb-icon {
		background-color:<?php echo $color_scheme_5; ?>!important;
	}

    /* Control font weight */
    h1, h2, h3, h4, h5, h6 {
	    font-weight: <?php echo $header_font_weight; ?>;
    }
    body {
	    font-weight: <?php echo $body_font_weight; ?>;
    }
    body .et_pb_button {
	    font-weight: <?php echo $button_font_weight; ?>!important;
    }
	#top-menu-nav > ul > li > a,
	.et_mobile_menu li a, #top-menu > li > ul.sub-menu > li > a {
	    font-weight: <?php echo $nav_font_weight; ?>;
    }
				    
	</style>
	
	
	
<?php
 
}
add_action( 'wp_head', 'cleanly_customize_settings' );

?>